edu.isi.pegasus.planner.classes

## Class AuthenticateRequest

- java.lang.Object
- - edu.isi.pegasus.planner.classes.Data
  - - edu.isi.pegasus.planner.classes.AuthenticateRequest

All Implemented Interfaces:
  java.lang.Cloneable

    public class AuthenticateRequest
    extends Data

The object that describes the authenticate request. It specifies the mode of authentication, the contact string of the resource.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static char` `GRIDFTP_RESOURCE` The type identifying that the resource to authenticate against is a grid ftp server.
`static char` `JOBMANAGER_RESOURCE` The type identifying that the resource to authenticate against is a job manager.
`private java.lang.String` `mPool` The pool id at of the pool which the resource is .
`private java.lang.String` `mResourceContact` The contact string to the resource.
`private char` `mType` Specifies what type of resource you are authenticating to.

### Fields inherited from class edu.isi.pegasus.planner.classes.Data

`mLogger, mLogMsg`

### Constructor Summary

Constructors
`private` `AuthenticateRequest()` Default Constructor.
`` `AuthenticateRequest(char type, java.lang.String pool, java.lang.String url)` Overloaded Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns a clone of the object.
`java.lang.String` `getPool()` Returns the pool id of the associated resource in this request.
`java.lang.String` `getResourceContact()` Returns the url of the resource to contact.
`char` `getResourceType()` Returns the type of the request.
`boolean` `requestInvalid()` Checks if the request is invalid or not.
`java.lang.String` `toString()` Returns a string version of this.

### Methods inherited from class edu.isi.pegasus.planner.classes.Data

`setToString, vectorToString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### JOBMANAGER_RESOURCE

    public static final char JOBMANAGER_RESOURCE

The type identifying that the resource to authenticate against is a job manager.

See Also:
  Constant Field Values

#### GRIDFTP_RESOURCE

    public static final char GRIDFTP_RESOURCE

The type identifying that the resource to authenticate against is a grid ftp server.

See Also:
  Constant Field Values

#### mType

    private char mType

Specifies what type of resource you are authenticating to.

#### mPool

    private java.lang.String mPool

The pool id at of the pool which the resource is .

#### mResourceContact

    private java.lang.String mResourceContact

The contact string to the resource.

### Constructor Detail

#### AuthenticateRequest

    private AuthenticateRequest()

Default Constructor.

#### AuthenticateRequest

    public AuthenticateRequest(char type,
                               java.lang.String pool,
                               java.lang.String url)

Overloaded Constructor.

### Method Detail

#### getResourceType

    public char getResourceType()

Returns the type of the request.

#### getResourceContact

    public java.lang.String getResourceContact()

Returns the url of the resource to contact.

#### getPool

    public java.lang.String getPool()

Returns the pool id of the associated resource in this request.

#### toString

    public java.lang.String toString()

Returns a string version of this.

Specified by:
  `toString` in class `Data`

#### clone

    public java.lang.Object clone()

Returns a clone of the object.

Overrides:
  `clone` in class `java.lang.Object`

#### requestInvalid

    public boolean requestInvalid()

Checks if the request is invalid or not. It is invalid if the resource contact is null or empty or the type is an invalid type.

Returns:
  boolean true if the request is invalid.